# buttonctl changes user definable buttons
Usage
    buttonctl [-q] <type> <name> <operation> [;parameter]
Description
Changes an existing user defined button. <type_unused> is ignored and present only for backward compatibility. <name> is the name of the button. <operation> may be one of the constant strings "enable", "disable", "image", "text". Operations "enable" and "disable" do not require the fourth [parameter] and have the obvious meaning. Operation "image" requires the [parameter] to be a valid image_id and sets the button image. Operation "text" requires the [parameter] (and in fact all the following ones) to be a string containing the button text label. The <operation> constants may be abbreviated, even to the single letters 'e','d','i' and 't'. The -q switch causes the command to be quiet about errors and warnings.
Switches
-q | --quiet
Run quietly
Syntax Specification
    buttonctl [-q] <type:string> <name:string> <operation:string> [parameter:string]
See also
button

Index, Commands

KVIrc 3.4.0 Documentation
Generated by root at Mon Dec 22 00:58:26 2008